/* //////////////////////////////
///// New stuff starts here /////
////////////////////////////// */

header {
  display: grid;
  place-items: center;
  margin-top: 3rem;
  margin-bottom: 3rem;
}

nav {
  display: flex;
  justify-content: space-around;
  padding-bottom: 2rem;
}

nav > a {
  border-bottom:2px solid transparent;
}

nav > a > img {
  width: 2em;
  height: 2em;
  margin: 0;
}

figure {
  display: flex;
  flex-direction: column;
  align-items: center;
  max-width: calc(300px + 2em);
  padding-left: 1em;
  padding-top: 0.8em;
  padding-bottom: 0.8em;
  padding-right: 0.8em;
  border: 1px solid #eb99a1;
  margin-bottom: 2.5rem;
  background-color: #40363a;
}

figure.right {
  float: right;
  margin-left: 1rem;
  margin-top: 1rem;
  margin-bottom: 1rem;
}

figure.left {
  float: left;
  margin-top: 1rem;
  margin-bottom: 1rem;
  margin-right: 1rem;
}

@media only screen and (max-width: 550px){
  figure.right, figure.left {
    float: unset;
    margin-left: auto;
    margin-right: auto;
    max-width: max-content;
  }
}

figure > img {
  margin: 0;
}

figure > figcaption {
  font-size: 0.8em;
  font-style: italic;
}

footer {
  font-family: monospace;
  font-size: 0.8em;
  margin-top: 3rem;
  margin-bottom: 3rem;
}

/* $color-text: #dedce5; */
/* Sakura.css v1.4.1
 * ================
 * Minimal css theme.
 * Project: https://github.com/oxalorg/sakura/
 *
 * MIT License
 * 
 * Copyright (c) 2016 Mitesh Shah
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
/* Body */
html {
  font-size: 62.5%;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif;
}

body {
  font-size: 1.8rem;
  line-height: 1.618;
  max-width: 38em;
  margin: auto;
  color: #d9d8dc;
  background-color: #120c0e;
  padding: 13px;
}

#root {
  background-color: rgba(0, 0, 0, 0.75)
}

@media (max-width: 684px) {
  body {
    font-size: 1.53rem;
  }
}
@media (max-width: 382px) {
  body {
    font-size: 1.35rem;
  }
}
h1, h2, h3, h4, h5, h6 {
  line-height: 1.1;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif;
  font-weight: 700;
  margin-top: 3rem;
  margin-bottom: 1.5rem;
  overflow-wrap: break-word;
  word-wrap: break-word;
  -ms-word-break: break-all;
  word-break: break-word;
}

h1 {
  font-size: 2.35em;
}

h2 {
  font-size: 2em;
}

h3 {
  font-size: 1.75em;
}

h4 {
  font-size: 1.5em;
}

h5 {
  font-size: 1.25em;
}

h6 {
  font-size: 1em;
}

p {
  margin-top: 0px;
  margin-bottom: 2.5rem;
}

small, sub, sup {
  font-size: 75%;
}

hr {
  border-color: #eb99a1;
}

a {
  text-decoration: none;
  color: #eb99a1;
}
a:visited {
  color: #e26f7a;
}
a:hover {
  color: #DA4453;
  border-bottom: 2px solid #d9d8dc;
}

ul {
  padding-left: 1.4em;
  margin-top: 0px;
  margin-bottom: 2.5rem;
}

li {
  margin-bottom: 0.4em;
}

blockquote {
  margin-left: 0px;
  margin-right: 0px;
  padding-left: 1em;
  padding-top: 0.8em;
  padding-bottom: 0.8em;
  padding-right: 0.8em;
  border-left: 5px solid #eb99a1;
  margin-bottom: 2.5rem;
  background-color: #40363a;
}

blockquote p {
  margin-bottom: 0;
}

img, video {
  height: auto;
  max-width: 100%;
  margin-top: 0px;
  margin-bottom: 2.5rem;
}

/* Pre and Code */
pre {
  background-color: #40363a;
  display: block;
  padding: 1em;
  overflow-x: auto;
  margin-top: 0px;
  margin-bottom: 2.5rem;
  font-size: 0.9em;
}

code, kbd, samp {
  font-size: 0.9em;
  padding: 0 0.5em;
  background-color: #40363a;
  white-space: pre-wrap;
}

pre > code {
  padding: 0;
  background-color: transparent;
  white-space: pre;
  font-size: 1em;
}

/* Tables */
table {
  text-align: justify;
  width: 100%;
  border-collapse: collapse;
}

td, th {
  padding: 0.5em;
  border-bottom: 1px solid #40363a;
}

/* Buttons, forms and input */
input, textarea {
  border: 1px solid #d9d8dc;
}
input:focus, textarea:focus {
  border: 1px solid #eb99a1;
}

textarea {
  width: 100%;
}

.button, button, input[type=submit], input[type=reset], input[type=button] {
  display: inline-block;
  padding: 5px 10px;
  text-align: center;
  text-decoration: none;
  white-space: nowrap;
  background-color: #eb99a1;
  color: #120c0e;
  border-radius: 1px;
  border: 1px solid #eb99a1;
  cursor: pointer;
  box-sizing: border-box;
}
.button[disabled], button[disabled], input[type=submit][disabled], input[type=reset][disabled], input[type=button][disabled] {
  cursor: default;
  opacity: 0.5;
}
.button:focus:enabled, .button:hover:enabled, button:focus:enabled, button:hover:enabled, input[type=submit]:focus:enabled, input[type=submit]:hover:enabled, input[type=reset]:focus:enabled, input[type=reset]:hover:enabled, input[type=button]:focus:enabled, input[type=button]:hover:enabled {
  background-color: #DA4453;
  border-color: #DA4453;
  color: #120c0e;
  outline: 0;
}

textarea, select, input {
  color: #d9d8dc;
  padding: 6px 10px; /* The 6px vertically centers text on FF, ignored by Webkit */
  margin-bottom: 10px;
  background-color: #40363a;
  border: 1px solid #40363a;
  border-radius: 4px;
  box-shadow: none;
  box-sizing: border-box;
}
textarea:focus, select:focus, input:focus {
  border: 1px solid #eb99a1;
  outline: 0;
}

input[type=checkbox]:focus {
  outline: 1px dotted #eb99a1;
}

label, legend, fieldset {
  display: block;
  margin-bottom: 0.5rem;
  font-weight: 600;
}

table {
  margin-bottom: 2.5rem;
  text-align: unset;
}
